On 8 Dec 2005, at 18:46, Harry Forster wrote:

Jens I am sorry to say that I have compiled all software on this machine. I have done so so that I would not have confusion due to different compilers. I think that there is a problem with the manner in which I compile Python or compile usingPython. Python has a zlib.so in its distribution but somehow it is not getting through to the compilation of Zope. There must be something about compiling Python or compiling using Python that I do not understand. I think it has something to do with the zlib module. Either the zlib module should be made a part of Python at the time I compile Python or the compiler
should be told to use the zlib module at the time I compile Zope.

The zlib module is included in the Zope 2.6 distribution which is the reason
that I have no trouble installing and using 2.6.

Python will compile its zlib if it finds the suitable headers and libraries on the hosts system. Check to see if you have all zlib and zlib-devel packages installed. There is no magic flag to set, just configure/make/make install will pick up on and use zlib. The only other thing I could think of would be if you're not using the interpreter you think you are using.


Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to